Subject: Kernel change summary 1.1.50 -> 1.1.51
From: [email-masked] (Russell Nelson)
Date: 14 Oct 1994 04:06:06 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux.development

Units 2 and 3 of both floppy controllers are disabled, because
	switching on the motors of these drives causes system hangs on
	some PCI computers.
Added logging of physical floppy write errors to allow safe writing by
	specialized programs.
Some of the floppy code was NOT in a critical region, so cli/sti removed.
Keep a bitmask of changed floppies.
Introduced a bug into the floppy driver.
[Get rid of special_op in hard disk driver.]
No need for special_op unless we're resetting or recalibrating.
Apricot networking driver cleaned up, retry counts increased.
In aha152x SCSI driver, changed irqaction to request_irq, abort
	updated updates for mid-level-driver changes, accept
	unexpected BUSFREE phase as error condition, parity check now
	configurable.
The block device filesystem driver now buffers writes.
Deadlock detection added in fcntl()'s F_GETLK, F_SETLK, and F_SETLKW calls.
Problem in memset using a constant character value fixed (some values
	would be zero instead of the constant character).
Coalesce a memory block when a vm file is closed.
Protect a memory block by surrounding it with unusable memory.
arp header definition removed from rarp.c.
--
-russ <[email-masked]>    http://www.crynwr.com/crynwr/nelson.html
Crynwr Software   | Crynwr Software sells packet driver support | ask4 PGP key
11 Grant St.      | +1 315 268 1925 (9201 FAX)  | What is thee doing about it?
Potsdam, NY 13676 | LPF member - ask me about the harm software patents do.